Voicelink
Voicelink
DashboardQuickstartAuthenticationCallsInvitationsErrors and limits
Cancel scheduled call DELETECreate invitation POSTDelete invitation DELETEEdit invitation PATCHExtend invitation POSTGet call GETGet completed call recording GETGet invitation GETList calls GETList invitations GETReschedule call PATCHRevoke invitation POSTStart outbound call POSTTerminate call POST
Reference

Get call

GET
/calls/{id}

Authorization

headerapikey<token>

Path Parameters

id*string

Response Body

application/json
  1. response
  1. response
  2. …
status*string
Value in"error""ok"
message*string
data*
Example Request
curl -X GET 'https://api.usevoicelink.co/v0/calls/string'
Example Response
{  "status": "error",  "message": "string",  "data": {    "call": {      "id": "string",      "agentId": "string",      "callType": "string",      "channel": "chat",      "direction": "inbound",      "status": "string",      "endReason": "agent_ended",      "callerName": "string",      "callerEmail": "string",      "callerPhone": "string",      "durationInSeconds": 0,      "scheduledAt": "string",      "startedAt": "string",      "endedAt": "string",      "createdAt": "string",      "updatedAt": "string",      "summary": "string",      "nextSteps": "string",      "transcript": [        {          "role": "agent",          "text": "string",          "timestamp": 0        }      ]    }  }}

Extend invitation POST

Previous Page

Get completed call recording GET

Next Page